Skip to main content
GET
List projects

Description

List the projects of a company, using service account toke.

Response

200 OK

The response is an array of objects where each object contains the information of each project.
where:
  • totalCount: total projects within your company.
  • projects: list of projects data.
  • projects[index]
    • _id or id: Id of the project.
    • title: name/title or the project,
    • ownerId: userId of the owner of the project.
    • createdAt: Date of creation of the project in the format YYYY-MM-DDTHH:mm:ss.SSSZ.
    • updatedAt: Date of the last update of the project in the format YYYY-MM-DDTHH:mm:ss.SSSZ.
    • totalQuestionsCount: Number of answers the project has.

401 Unauthorized

The user doesn’t have permissions.

403 Forbidden

You are not allowed to see projects.

422 Unprocessable Content

Cannot process the request. the sortBy field is incorrect.

500 Internal Server Error

Error occurred while processing the request.
Query Parameters

Authorizations

Authorization
string
header
required

Access token obtained from the m2m-token endpoint.

Headers

Authorization
string
required

Authorization token

Query Parameters

offset
string
limit
string
sortBy
string
order
string

Response

List projects

The response is of type object.